Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class FixedAssetsNGParameters
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom

    Private _NumberGenerator_UniqueObjects As NumberGenerator
    Private _NumberGenerator_Activation As NumberGenerator
    Private _NumberGenerator_Decrepation As NumberGenerator
    Private _NumberGenerator_Sold As NumberGenerator
    Private _NumberGenerator_InventoryShortage As NumberGenerator
    Private _NumberGenerator_Disposal As NumberGenerator

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property NumberGenerator_UniqueObjects As NumberGenerator
        Get
            Return _NumberGenerator_UniqueObjects
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_UniqueObjects", _NumberGenerator_UniqueObjects, value)
        End Set
    End Property
    Property NumberGenerator_Activation As NumberGenerator
        Get
            Return _NumberGenerator_Activation
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Activation", _NumberGenerator_Activation, value)
        End Set
    End Property
    Property NumberGenerator_Decrepation As NumberGenerator
        Get
            Return _NumberGenerator_Decrepation
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Decrepation", _NumberGenerator_Decrepation, value)
        End Set
    End Property
    Property NumberGenerator_Sold As NumberGenerator
        Get
            Return _NumberGenerator_Sold
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Sold", _NumberGenerator_Sold, value)
        End Set
    End Property
    Property NumberGenerator_InventoryShortage As NumberGenerator
        Get
            Return _NumberGenerator_InventoryShortage
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_InventoryShortage", _NumberGenerator_InventoryShortage, value)
        End Set
    End Property
    Property NumberGenerator_Disposal As NumberGenerator
        Get
            Return _NumberGenerator_Disposal
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Disposal", _NumberGenerator_Disposal, value)
        End Set
    End Property
End Class
